For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
      • POSTCreate big segment store integration
      • DELDelete big segment store integration
      • GETGet big segment store integration by ID
      • GETList all big segment store integrations
      • PATCHUpdate big segment store integration
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewPersistent Store Integrations Beta

List all big segment store integrations

GET
/api/v2/integration-capabilities/big-segment-store
GET
/api/v2/integration-capabilities/big-segment-store
$curl https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store \
> -H "Authorization: <apiKey>"
1{
2 "_links": {
3 "self": {
4 "href": "string",
5 "type": "string"
6 },
7 "parent": {
8 "href": "string",
9 "type": "string"
10 }
11 },
12 "items": [
13 {
14 "_links": {
15 "self": {
16 "href": "string",
17 "type": "string"
18 },
19 "parent": {
20 "href": "string",
21 "type": "string"
22 },
23 "project": {
24 "href": "string",
25 "type": "string"
26 },
27 "environment": {
28 "href": "string",
29 "type": "string"
30 }
31 },
32 "_id": "12ab3c4d5ef1a2345bcde67f",
33 "integrationKey": "redis",
34 "projectKey": "default",
35 "environmentKey": "development",
36 "config": {},
37 "on": true,
38 "tags": [],
39 "name": "Development environment configuration",
40 "version": 1,
41 "_status": {
42 "available": true,
43 "potentiallyStale": false,
44 "lastSync": 1717263000000,
45 "lastError": 1714584600000,
46 "errors": [
47 {
48 "statusCode": 1,
49 "message": "string",
50 "timestamp": 1
51 }
52 ]
53 },
54 "_access": {
55 "denied": [
56 {
57 "action": "string",
58 "reason": {
59 "effect": "allow",
60 "resources": [
61 "proj/*:env/*;qa_*:/flag/*"
62 ],
63 "notResources": [
64 "string"
65 ],
66 "actions": [
67 "*"
68 ],
69 "notActions": [
70 "string"
71 ],
72 "role_name": "string"
73 }
74 }
75 ],
76 "allowed": [
77 {
78 "action": "string",
79 "reason": {
80 "effect": "allow",
81 "resources": [
82 "proj/*:env/*;qa_*:/flag/*"
83 ],
84 "notResources": [
85 "string"
86 ],
87 "actions": [
88 "*"
89 ],
90 "notActions": [
91 "string"
92 ],
93 "role_name": "string"
94 }
95 }
96 ]
97 }
98 }
99 ]
100}
List all big segment store integrations.
Was this page helpful?
Previous

Update big segment store integration

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

Big segment store collection response
_linksobject
The location and content type of related resources
itemslist of objects
An array of persistent store integration configurations

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error